# PSF-LoginServer - master - net.psforever.services.hart.HartEvent
PSF - LoginServer - master - net.psforever.services.hart.HartEvent
Keywords: PSF LoginServer master net.psforever.services.hart.HartEvent

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package hart
  Definition Classes
    services
- HartEvent
- HartEventStateFields
- HartEventTimeFields
- HartService
- HartTimer
- HartTimerActions
- ShuttleState

t

net.psforever.services.hart

# HartEvent 

###
Companion object HartEvent

#### sealed trait HartEvent extends AnyRef

An event in the sequence of the high-altitude rapid transport (HART) system encompassing both ground facility conditions and conditions of the orbital shuttle.

Source
  HartEvent.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Arrival, Blanking, Boarding, InTransit, ShuttleDockingOps, ShuttleTakeoffOps, Takeoff

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HartEvent
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def docked: Option[Boolean]

   how the shuttle and the HART facility interact; this is an active state field: `Some(true)` - the shuttle is docked right now; `Some(false)` - the shuttle has freed itself from the facility's dock right now; `None` - the shuttle is acting freely apart from its facility

2.  abstract def duration: Long

   for how long this event goes on

3.  abstract def prerequisiteUpdate: Option[HartEventStateFields]

   these fields must be including prior to an update if the shuttle state was not previous known; the primary purpose is to place the shuttle platform at the correct elevation

4.  abstract def shuttleState: Option[ShuttleState.Value]

   the shuttle has a unique state to expose to the zone; the state is related to a value in the `Flying` field of a `VehicleStateMessage` packet

5.  abstract def timeOnClock: Long

   starting time on the clock; typically seen on the display

6.  abstract def u1: HartSequence

   HART facility and shuttle animation

7.  abstract def u2: Int

   counter?

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  def lockedDoors: Boolean

    are the managed doors for the HART facility locked closed; this is an active state field: `true` - locked right now and `false` - unlocked right now

13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def stateFields(time: Option[Long] = None): HartEventStateFields

    Get the animation state fields for this event.

    Get the animation state fields for this event.

    time

      during update requests, the amount of time that has elapsed during the start of this event

    returns

      the animation state data

17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def timeFields(time: Option[Long] = None): HartEventTimeFields

    Get the primary time fields for this event.

    Get the primary time fields for this event.

    time

      during update requests, the amount of time that has elapsed during the start of this event

    returns

      the time data

19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped